
{% load static %}
{% load crispy_forms_tags %}
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO"
        crossorigin="anonymous">
    <!-- <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script> -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.6/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.2.1/js/bootstrap.min.js"></script>
    
    <link rel="stylesheet" href="{% static 'buyer/css/style.css' %}">
</head>

<body>
    <!-- Navbar -->
    <nav class="navbar navbar-expand-lg navbar-light bg-light shadow-sm">
        <a class="navbar-brand" href="{% url 'homepage' %}">
            <img src="static/images/photobooth-logo.png" alt="">
        </a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
            aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>

        <div class="collapse navbar-collapse justify-content-end" id="navbarSupportedContent">
            <ul class="navbar-nav ">
                {% if user.is_authenticated %}
                    <li class="nav-item">
                        <i class="fa fa-cart-plus" style="font-size:36px;color:red">no. of cart items</i>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{% url 'profile' %}">{{user.username}}</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{% url 'logout' %}">Logout</a>
                    </li>
                {% else %}
                    <li class="nav-item">
                        <a class="nav-link" href="{% url 'login' %}">Login</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{% url 'register' %}">Register</a>
                    </li>
                {% endif %}
                </ul>
            </div>
        </div>
    </nav>
    <main>
        {% block content %}
        <div class="container card">
                <form method="POST">
                    {% csrf_token %}
                    <fieldset class="form-group">
                        <legend class="border-bottom mb-4">Join Today</legend>
                        {{ form|crispy }}
                    </fieldset>
                    <div class="form-group">
                        <button class="btn btn-outline-info" type="submit">Sign Up</button>
                    </div>
                </form>
                <div class="border-top pt-3">
                    <small class="text-muted">
                        Already Have An Account? <a class="ml-2" href="{% url 'login' %}">Sign In</a>
                    </small>
                </div>
            </div>
        {% endblock content %}
    </main>

    <footer>
        <div class="row">
            <div class="col-md-6">
                <h3 class>Lets be Connected!</h3>
                <a href="">
                    <h5>About Us</h5>
                </a>
                <a href="">
                    <h5>Contact Us</h5>
                </a>
            </div>
            <div class="col-md-6">
                <h5>Around the web</h5>
                <a href="https://www.facebook.com/soumyasaswata.rana" target="_blank"><i class="fa fa-facebook-square"
                        style="font-size:25px;"></i></a>
                <a href="https://www.linkedin.com/in/soumya-saswata-rana-7637a843/" target="_blank"><i class="fa fa-linkedin-square"
                        style="font-size:25px;"></i></a>
                <a href="https://www.youtube.com/channel/UCTZZad-aZD-Hu5c1h7D9Q4Q?view_as=subscriber" target="_blank"><i
                        class="fa fa-youtube-square" style="font-size:25px;"></i></a>

            </div>
        </div>
    </footer>



    <script src="https://code.jquery.com/jquery-3.3.1.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.6/umd/popper.min.js"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.2.1/js/bootstrap.min.js"></script>
</body>

</html>